package com.cisdi.data.AMETEKSurfaceVision.gateway;

import com.alibaba.fastjson.JSON;
import com.cisdi.data.sdk.procotol.message.SocketReturnMessage;
import com.cisdi.data.sdk.vo.ExeResultVo;

/**
 * 表检仪协议下发消息及返回信息
 *
 * @author tzz
 */
public class SurfaceVisionSocketReturnMessage extends SocketReturnMessage {
    /** 下发消息返回消息 */
    ExeResultVo realData;
    /** 下发消息返回标志 */
    boolean sendReturnFlag;

    public SurfaceVisionSocketReturnMessage() {
    }

    public ExeResultVo getRealData() {
        return this.realData;
    }

    public void setRealData(ExeResultVo realData) {
        this.realData = realData;
    }

    public boolean getSendReturnFlag() {
        return this.sendReturnFlag;
    }

    public void setSendReturnFlag(boolean sendReturnFlag) {
        this.sendReturnFlag = sendReturnFlag;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
